Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Functions
ipsocket.c File Reference
`#include "rubysocket.h"`

Go to the source code of this file.

## Data Structures
struct | inetsock_arg

## Macros
#define | return_norevlookup(x) {*norevlookup = (x); return 1;}

## Functions
VALUE | rsock_init_inetsock (VALUE sock, VALUE remote_host, VALUE remote_serv, VALUE local_host, VALUE local_serv, int type)
int | rsock_revlookup_flag (VALUE revlookup, int *norevlookup)
void | rsock_init_ipsocket (void)

## Macro Definition Documentation

## ◆ return_norevlookup

#define return_norevlookup | ( |  | x | ) | {*norevlookup = (x); return 1;}

## Function Documentation

## ◆ rsock_init_inetsock()

VALUE rsock_init_inetsock | ( | VALUE | sock,
|  | VALUE | remote_host,
|  | VALUE | remote_serv,
|  | VALUE | local_host,
|  | VALUE | local_serv,
|  | int | type
| ) |  |

Definition at line 159 of file ipsocket.c.

References arg, rb_ensure(), and inetsock_arg::sock.

## ◆ rsock_init_ipsocket()

void rsock_init_ipsocket | ( | void |  | ) |

Definition at line 371 of file ipsocket.c.

References rb_cBasicSocket, rb_cIPSocket, rb_define_class(), and rb_define_method().

Referenced by rsock_init_socket_init().

## ◆ rsock_revlookup_flag()

int rsock_revlookup_flag | ( | VALUE | revlookup,
|  | int * | norevlookup
| ) |  |

Definition at line 179 of file ipsocket.c.

References Check_Type, id, Qfalse, Qnil, Qtrue, return_norevlookup, SYM2ID, and T_SYMBOL.